using skyscraper5.Rds.Messages;
using skyscraper8.Skyscraper.Scraper.Storage;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace skyscraper5.Data.PostgreSql
{
	public partial class PostgresqlDataStore : DataStorage
	{
		public bool TestForKnownRdsData(int currentNetworkId, int currentTransportStreamId, int programNumber)
		{
			throw new NotImplementedException();
		}

		public void EnableRdsCollection(int currentNetworkId, int currentTransportStreamId, int programNumber)
		{
			throw new NotImplementedException();
		}

		public bool UpdateRdsProgrammeServiceName(int currentNetworkId, int currentTransportStreamId, int programNumber,
			string programmeService2)
		{
			throw new NotImplementedException();
		}

		public bool UpdateRdsRadioText(int currentNetworkId, int currentTransportStreamId, int programNumber,
			string text)
		{
			throw new NotImplementedException();
		}

		public bool UpdateRdsPty(int currentNetworkId, int currentTransportStreamId, int programNumber,
			PTY.ProgrammeTypeCodes pty)
		{
			throw new NotImplementedException();
		}

		public bool MarkAsRdsTrafficInformationProgramme(int currentNetworkId, int currentTransportStreamId,
			int programNumber)
		{
			throw new NotImplementedException();
		}

	}
}
